section .text

.globl PBMAIN
PBMAIN:
entry:
    push rbp
    mov rbp, rsp
    push rbx
    sub rsp, 24
    xor r10, r10
    xor rbx, rbx
    mov [rbp-16], rbx
    xor r10, r10
    xor rbx, rbx
    mov [rbp-24], rbx
    sub rsp, 32
    call c_hlib_lnarr_add
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-24], rbx
    mov r10, [rbp-24]
    mov rcx, r10
    mov rdx, 10
    sub rsp, 32
    call c_hlib_lnarr_add
    add rsp, 32
    mov rbx, rax
    xor r10, r10
    xor rbx, rbx
    mov [rbp-16], rbx
    mov r10, [rbp-16]
    mov rbx, r10
    mov rax, r10
    add rsp, 24
    pop rbx
    pop rbp
    ret

